import i18n from '@/vue/i18n';

export const tableKeywordColumn = [
  {
    title: '#',
    key: 'index',
    width: 60,
  },
  {
    title: i18n.t('KEYWORD_COLUM.KEYWORD'),
    key: 'keyword',
    slot: 'keyword',
    width: 220,
  },
  {
    title: i18n.t('KEYWORD_COLUM.TYPE'),
    slot: 'type',
    width: 120,
    key: 'type',
  },
  {
    title: i18n.t('KEYWORD_COLUM.PRICE'),
    key: 'price',
    slot: 'price',
    width: 120,
  },
  {
    title: i18n.t('KEYWORD_COLUM.PRICE_CURRENT'),
    key: 'priceCurrent',
    width: 100,
  },
  {
    title: i18n.t('KEYWORD_COLUM.PRICE_MIN'),
    key: 'priceMin',
    width: 100,
  },
  {
    title: i18n.t('KEYWORD_COLUM.PRICE_MAX'),
    key: 'priceMax',
    width: 100,
  },

  {
    title: i18n.t('KEYWORD_COLUM.STATUS'),
    key: 'active',
    slot: 'active',
    width: 120,
  },
  {
    title: i18n.t('KEYWORD_COLUM.NOTE'),
    key: 'note',
    slot: 'note',
  },
  {
    title: i18n.t('TABLE_COLUM_ACTION'),
    slot: 'action',
    width: 120,
  },
];

export const listTypeKeyword = [
  {
    value: 'exact',
    id: 0,
    label: i18n.t('ADS_KEYWORD_TYPE.exact'),
  },
  {
    value: 'extend',
    id: 1,
    label: i18n.t('ADS_KEYWORD_TYPE.extend'),
  },
];

/**
 *
 * @param {number} id
 * @returns {AdsKeywordType}
 */
export const getKeywordTypeValue = (id) => listTypeKeyword.find((item) => item.id === id).value;

/**
 *
 * @param {AdsKeywordType} value
 */
export const getKeywordTypeId = (value) => listTypeKeyword.find((item) => item.value === value).id;

/**
 *
 * @param {AdsKeywordType} value
 */
export const getKeywordTypeLabel = (value) => listTypeKeyword.find((item) => item.value === value).label;
